Retail Express API 2.1

Creates Customer Type

Sample request:

 POST /customertypes
 {
     "name": "name",
     "active": true,
     "default": false
 }
post
https://api.retailexpress.com.au/v2/customertypes

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Customer Type model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Customer Type created

V2.CustomerType

Customer type model

* Additional properties are NOT allowed.
idinteger(int32)

Customer type identifier

namestring | null

Customer type name

>= 0 characters<= 60 characters

activeboolean | null

Customer type active

defaultboolean | null

Customer type default

deletedboolean | null

Customer type deleted

modified_onstring(date-time)

Customer type last modified

post/customertypes

Body

{}
 
application/json

Gets specific Customer Type by unique id

Gets specific Customer Type by unique id

get
https://api.retailexpress.com.au/v2/customertypes/{id}

Path Parameters

idinteger(int32)required

Customer type id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Customer Type

V2.CustomerType

Customer type model

* Additional properties are NOT allowed.
idinteger(int32)

Customer type identifier

namestring | null

Customer type name

>= 0 characters<= 60 characters

activeboolean | null

Customer type active

defaultboolean | null

Customer type default

deletedboolean | null

Customer type deleted

modified_onstring(date-time)

Customer type last modified

get/customertypes/{id}
 
application/json

Deletes specific Customer Type by id

Deletes specific Customer Type by id

delete
https://api.retailexpress.com.au/v2/customertypes/{id}

Path Parameters

idinteger(int32)required

Customer Type id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Customer Type deleted

delete/customertypes/{id}
 

Updates Customer Type

Sample request:

 PUT /customertypes
 {
     "name": "New customer type name",
     "active": true,
     "default": true,
     "deleted": false
 }
put
https://api.retailexpress.com.au/v2/customertypes/{id}

Path Parameters

idinteger(int32)required

Customer Type id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Customer Type model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Customer Type

V2.CustomerType

Customer type model

* Additional properties are NOT allowed.
idinteger(int32)

Customer type identifier

namestring | null

Customer type name

>= 0 characters<= 60 characters

activeboolean | null

Customer type active

defaultboolean | null

Customer type default

deletedboolean | null

Customer type deleted

modified_onstring(date-time)

Customer type last modified

put/customertypes/{id}

Body

{}
 
application/json

freighttypes